How To Guide

HelpSystems Insite System Requirements

Last Updated:
March 9, 2018

Before You Install

Read this information completely before you install HelpSystems Insite on your Windows® or Linux® servers.

  • If there are any firewalls between your PC and the server, verify that your profile has access to the PC.

  • Your network must be configured and working using TCP/IP configuration.

  • HelpSystems Insite supports GNU Tar. Be sure you're using that version of tar.

  • Installation on an Active Directory® server is not supported.

  • Root or sudo access is required to install on Linux.

  • In order to install on Windows, you must be logged in as an Administrator.

The following products are compatible with HelpSystems Insite:

  • Access Authenticator 1.0 or higher
  • Automate BPA Server 10.5 or higher
  • Password Self Help 3.001 or higher
  • Powertech Network Security R07M04 or higher
  • Robot Network R11M00 or higher
  • Robot Schedule R10M30 or higher
  • Webdocs for IBM i 4.0 or higher

Note:  IBM i systems that will be connecting to your Insite Server must be at V7R1 or higher.  

System Requirements

Insite Server Requirements

To install HelpSystems Insite, your server must meet the following requirements.

Supported Operating Systems:

  • Windows Server 2012*
  • Windows Server 2012 R2*
  • Windows Server 2016
  • RedHat Enterprise Linux 6
  • Suse Enterprise Linux 11
  • Ubuntu Linux 10.0 or higher

Note: Insite can only run on 64-bit Windows operating systems. 32-bit Windows is not supported.

* The browser that ships with Windows Server 2012, Internet Explorer 10, is not supported. See below for supported browsers.

Other Required Software:

  • Perl 5.6 or later (Linux)
  • GNU Tar (Linux)

Minimum Hardware Requirements:

  • 4 GB RAM 
  • 3 GB free space

Web Browser Requirements

HelpSystems Insite is compatible with the latest versions of these browsers:

Computer-Based Browsers:

  • Chrome
  • Firefox
  • Internet Explorer
  • Safari
  • Microsoft Edge

Mobile-Based Browsers:

  • Browsers on iOS 9 or higher
  • Browsers on Android OS 4.4 or higher using Chrome

Other browsers and browser versions may work, but be aware that features in Insite might not load correctly.